#include <iostream>
#include <algorithm>
using namespace std;

typedef struct
{
    int a;
    double p;
}frilenser;

int poredak(frilenser f1,frilenser f2)
{
    if(f1.p!=f2.p) return f1.p<f2.p;
    return f1.a<f2.a;
}

int main()
{   int n;
    cin>>n;
    frilenser F[200000];
    long long int suma=0;
    for(int i=0;i<n;i++)
    {
        cin>>F[i].a>>F[i].p;
        suma+=F[i].a;
    }
    sort(F,F+n,poredak);
    double max_zarada=0;
    for(int i=0;i<n;i++)
    {
        if(F[i].p*suma>max_zarada)
            max_zarada=F[i].p*suma;
        suma-=F[i].a;
    }
    cout << max_zarada << endl;
    return 0;
}